####### This section is automatically generated by MAKEFILE

INCDIR	=	$(QTDIR)/include
CFLAGS	=	-O2
LFLAGS	=	-lqt
CC	=	gcc

####### End of automatically generated section

#
# $Source: /local/lib/cvs/qt/examples/Makefile,v $
#

####### Directories

SUBDIRS =	aclock          biff            connect         cursor        \
		dclock          desktop         drawdemo        forever       \
		hello           life            menu            picture       \
		qmag            showimg         tetris          tictac        \
		timestmp        widgets         xform           xshape

####### Targets

all: targets

targets:
	set -e; for i in $(SUBDIRS); do ( cd $$i ; $(MAKE) 'CFLAGS=$(CFLAGS)' 'LFLAGS=$(LFLAGS)' 'CC=$(CC)' ) ; done

# chaos on your screen :)
galore:
	for a in */* ; do [ -f $$a -a -x $$a ] && ( cd `dirname $$a` ; ./`basename $$a` & ) ; done

showdirs:
	@echo $(SUBDIRS)

showfiles:
	@echo README Makefile

depend:
	set -e; for i in $(SUBDIRS); do ( cd $$i ; $(MAKE) depend 'CFLAGS=$(CFLAGS)' ) ; done

clean:
	set -e; for i in $(SUBDIRS); do ( cd $$i ; $(MAKE) clean ) ; done
